package TX_OtherClass;

public final class BucketConfig extends JceStruct {
    public int bucketId;
    public String extra;

    public BucketConfig() {
        super();
        this.bucketId = 0;
        this.extra = "";
    }

    public BucketConfig(int arg2, String arg3) {
        super();
        this.bucketId = 0;
        this.extra = "";
        this.bucketId = arg2;
        this.extra = arg3;
    }

    public final void readFrom(c arg4) {
        this.bucketId = arg4.a(this.bucketId, 0, true);
        this.extra = arg4.b(1, false);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.bucketId, 0);
        if(this.extra != null) {
            arg3.a(this.extra, 1);
        }
    }
}
